## ggobi 0.99.99.4

=== plugins/DataViewer/Makefile ===
PKG=DataViewer

$(PKG).so:

ifndef GGOBI_HOME
 GGOBI_HOME=../..
endif

ifndef SHLIB_LDFLAGS
 SHLIB_LDFLAGS=-shared
endif

-include local.config
-include $(GGOBI_HOME)/local.config

ifdef ADMIN
 include Install/GNUmakefile.admin
endif

ifdef GGOBI_CONFIG
 GGOBI_INCLUDE_DIR=$(shell $(GGOBI_CONFIG) --cflags)
 GGOBI_LIB=$(shell $(GGOBI_CONFIG) --libs)
else
 GGOBI_INCLUDE_DIR=-I../..
 GGOBI_LIB=-L../.. -lggobi
endif

GGOBI_CFLAGS=$(shell cd $(GGOBI_HOME) ; make cflags)
# CFLAGS+=-INLINE:=ON

ifdef BARCHART_IMPLEMENTED
  CFLAGS+= -DBARCHART_IMPLEMENTED
endif

ifdef GTK_EXTRA_CONFIG
 GTKEXTRA_INCLUDES=$(shell $(GTK_EXTRA_CONFIG) --cflags)
 EXTRA_LIBS=$(shell $(GTK_EXTRA_CONFIG) --libs)
else
 EXTRA_LIBS=$(GTKEXTRA_LIB_DIR:%=-L%) $(GTKEXTRA_LIB_DIR:%=-Xlinker -rpath -Xlinker %) -lgtkextra 
endif

CFLAGS+=-g $(GTKEXTRA_INCLUDES) $(GGOBI_CFLAGS) $(GGOBI_INCLUDE_DIR) 


SRC=worksheet
OBJS=$(SRC:%=%.o)

$(PKG).so: $(OBJS)
	$(CC) $(SHLIB_LDFLAGS) $(OBJS) -o $@ $(GGOBI_LIB)  $(EXTRA_LIBS)  $(shell $(GTK_CONFIG) --libs)

clean:
	rm -f *.o 

distclean: clean
	rm config.cache config.log $(PKG).so

ifndef ADMIN
local.config: configure local.config.in
	if test -r local.config ; then cp local.config local.config.bak ; fi
	./configure
endif
