=== plugins/TestPlugin/Makefile ===
--- 
+++ 
@@ -45,5 +45,3 @@
 local.config: local.config.in configure
 	./configure
 
-configure: configure.in 
-	autoconf
