## ggobi 2.1.10

=== debian/changelog ===
ggobi (2.1.10-5ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop graphviz build-dependency for now, as ggobi won't build with
      graphviz 2.36.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 15 Apr 2014 17:40:04 -0400

ggobi (2.1.10-5) unstable; urgency=low

  * debian/rules: Call dh_autoreconf / dh_autoreconf_clean to get updated
    autotools files to enable builds on powerpc64le	(Closes: #744580)
  * debian/control: Add Build-Depends: on dh-autoreconf

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Apr 2014 16:37:15 -0500

ggobi (2.1.10-4ubuntu2) trusty; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@foobar>  Thu, 24 Oct 2013 17:28:57 +0200

ggobi (2.1.10-4ubuntu1) trusty; urgency=low

  * Drop graphviz build-dependency for now as ggobi won't build with
    graphviz 2.30.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 24 Oct 2013 11:03:39 -0400

ggobi (2.1.10-4build1) trusty; urgency=low

  * Rebuild for graphviz 2.30.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Oct 2013 23:49:02 +0100

ggobi (2.1.10-4) unstable; urgency=low

  * src/ggobi.c: Applied patch kindly supplied by Michael Lawrence to 
    address issues found under hardened compiler flags (Closes: #646260)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Nov 2011 11:22:03 -0600

ggobi (2.1.10-3) unstable; urgency=low

  * debian/control: Switch Build-Depends: to unversioned libjpeg-dev to
    help with the libjpeg62 to libjpeg8 transition	(Closes: #641695)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Sep 2011 07:37:55 -0500

ggobi (2.1.10-2) unstable; urgency=low

  * debian/rules: Add short find and perl snippet to process .la files 
    in order to empty dependency_libs 			(Closes: #621301)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 May 2011 17:27:53 -0500

ggobi (2.1.10-1) unstable; urgency=low

  * New upstream release	 			(Closes: #622039)
  
  * debian/patches/00list: Removed 02_manual.patch; manual shipped as pdf
  * debian/patches/00list: Removed 03_makefile.patch; no libltdl left

  * debian/control: Set Standards-Version: to current version 
  
  * debian/source/format: Added with 'quilt (3.0)' to use upstream bz2 
  * debian/rules: Removed 'include /usr/share/dpatch/dpatch.make', removed
    targets 'unclean' and 'patch-stamp'
  * debian/control: Removed 'dpatch' from Build-Depends

  * debian/control: Removed 'texlive-base, texlive-latex-base,
    texlive-generic-recommended, texlive-fonts-recommended,
    texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra,
    texlive-pstricks' from Build-Depends as source no longer has tex
  
  * debian/control: Removed 'autoconf, gettext, cvs, automake, gob2,
    autopoint' from Build-Depends as we use a tarball to build
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Apr 2011 07:03:18 -0500

ggobi (2.1.9~20091212-3) unstable; urgency=low

  * debian/patches/00list: Remove 01_graphviz.patch as a newer
    graphviz is now available in Debian
  * debian/control: Increase versioned Build-Depends: on graphviz
  * debian/control: Added Build-Depends: autopoint	(Closes: #572469)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Mar 2010 09:16:43 -0600

ggobi (2.1.9~20091212-2) unstable; urgency=low

  * debian/rules: Do not remove .la files for plugins as this stops
    the plugins from working (reported by Liviu Andronic)
  * debian/ggobi.lintian-overrides: Add exemptions for .la files

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Jan 2010 08:03:45 -0600

ggobi (2.1.9~20091212-1) unstable; urgency=low

  * New upstream pre-release built with new libltdl from libtool 2.2.6b 
    in regards to CVE-2009-3736[0] 			(Closes: #559806)

  * debian/patches:
    - 01_graphviz.patch: two lines carried over from previous ggobi
      and needed as Debian's graphviz seems to be too old
    - 02_manual.patch: switch to using includegraphics in latex
  
  * debian/control: Added latex toolchain to Build-Depends: to support
    upstream change of building manual			(Closes: #495390)
  
  * debian/control: Added Build-Depends on libltdl-dev (>= 2.2.6b)
  * debian/rules: Add --without-included-ltdl to configure call

  * debian/control: Added Build-Depends: on libtool (>= 2.2.6b), autoconf
    gettext, cvs, automake, gob2 in order to run './bootstrap' as this is
    straight from SVN
  * debian/rules: Added ./bootstrap call
  						 	
  * debian/control: Increased Standard-Version: to 3.8.3 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Dec 2009 22:53:59 -0600

ggobi (2.1.8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Aug 2008 16:20:11 -0500

ggobi (2.1.7-1) unstable; urgency=low

  * New upstream release
  * debian/control: Updated Standards-Version: to current value
  * debian/watch: Added with thanks to Charles Plessy (Closes: #487608)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Jun 2008 20:20:06 -0500

ggobi (2.1.6-2) unstable; urgency=low

  * debian/control: Updated Build-Depends: to libgraphviz-dev (>= 2.16-3)
  * debian/control: Updated Standards-Version: to current value
  * debian/copyright: Converted encoding via iconv [ lintian ]
  
  * Apply http://patches.ubuntu.com/g/ggobi/ggobi_2.1.6-1ubuntu1.patch:
    - debian/ggobi.xpm: new files, converted from upstream's png file
    - debian/rules: Install the new xpm file as well as xdg/ggobi.desktop
    							(Closes: #451127)
  
    While we are at this, it would be helpful if the Ubuntu folks could
    let me know when they patch one of the 100+ source packages I maintain.
    It's not that my email address is hidden away somewhere.

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Jan 2008 10:45:37 -0600

ggobi (2.1.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Aug 2007 21:30:08 -0500

ggobi (2.1.5-2) unstable; urgency=low

  * Rebuilt under new graphviz 2.12			(Closes: #421093)

