=== debian/control ===
Source: ggobi
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libxml2-dev, libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
Standards-Version: 3.9.5

Package: ggobi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Data visualization system for high-dimensional data
 GGobi is an open source visualization program for exploring
 high-dimensional data. It provides highly dynamic and interactive
 graphics such as tours, as well as familiar graphics such as the
 scatterplot, barchart and parallel coordinates plots. Plots are
 interactive and linked with brushing and identification.
 .
 See http://www.ggobi.org for more information.
