## ggobi 2.1.11

=== debian/changelog ===
ggobi (2.1.11-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:25:06 +0000

ggobi (2.1.11-2) unstable; urgency=low

  * debian/patches/barchart-definition.patch: Apply patch to
    src/barchart.c to make declaration and definition match
							(Closes: #781724)

  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Apr 2015 07:01:30 -0500

ggobi (2.1.11-1) unstable; urgency=low

  * New upstream release
  
  * Upstream release 'tickled' by Graphviz issue in #754950 so thanks 
    to everybody in the Graphviz transition for keeping this moving

  * debian/patches/series: Deactivate old patch from 2.1.10-4

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Jul 2014 11:52:47 -0500

ggobi (2.1.10-5.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Drop graphviz build-dependency for now as ggobi won't build with
     graphviz 2.30. Closes: #754950.
  
 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2014 13:03:41 +0000
