=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libxml2-dev, libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libxml2-dev, libgraphviz-dev (>= 2.26.3), libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
+Standards-Version: 3.9.6
 
 Package: ggobi
 Architecture: any
