=== debian/watch ===
version=3
http://www.ggobi.org/downloads/ggobi-(.+)\.tar\.bz2
