## ggobi 2.1.12

=== debian/changelog ===
ggobi (2.1.12-1) unstable; urgency=medium

  * New upstream version (now tagged at upstream, code from 2020)
  							(Closes: #1074993)

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

  * debian/rules: Disabled plugins as plugins/ is empty

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 29 Jul 2024 06:55:34 -0500
