=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: ggobi
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libxml2-dev, libgraphviz-dev (>= 2.26.3), libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
-Standards-Version: 3.9.6
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), libgtk2.0-dev, libxml2-dev, libgraphviz-dev (>= 2.26.3), libjpeg-dev, libtool (>= 2.2.6b), dh-autoreconf
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/edd/ggobi
+Vcs-Git: https://salsa.debian.org/edd/ggobi.git
+Homepage: http://ggobi.org/
 
 Package: ggobi
 Architecture: any
