=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 package	:= $(shell grep Package debian/control | sed 's/^Package: //')
 debtmp	:= $(CURDIR)/debian/$(package)
 plugins := "DataViewer DescribeDisplay GraphAction VarCloud ggvis"
+
+cflags = $(shell dpkg-buildflags --get CFLAGS)
+fcflags = $(shell dpkg-buildflags --get FFLAGS)
+ldflags = $(shell dpkg-buildflags --get LDFLAGS)
 
 configure: configure-stamp
 #configure-stamp: patch-stamp
@@ -24,12 +28,17 @@
 #	autoreconf -iv --force
 #	autopoint -f
 
+#	CFLAGS="$(cflags)"				\
+#	FFLAGS="$(fcflags)"				\
+#	LDFLAGS="$(ldflags)"				
+
 	./configure	--prefix=/usr			\
-			--with-all-plugins		
+			--without-plugins
+
+#			--with-all-plugins
 
 #			--with-plugins="DataViewer DescribeDisplay ggvis GraphAction VarCloud"
 
-#			--without-plugins
 
 #			--enable-embed			\
 #			--with-dataviewer		\
@@ -56,8 +65,10 @@
 # 			--without-Perl
 	touch configure-stamp
 
-build: configure build-stamp
-build-stamp:
+build: build-arch build-indep
+build-arch: configure build-stamp
+build-indep: configure build-stamp
+build-stamp: 
 	dh_testdir
 	$(MAKE)
 	touch build-stamp
@@ -125,9 +136,10 @@
         # edd 26 Mar 2006  plugins/ should not be in share, move to lib
         # edd 02 Dec 2006  correcting softlink, now it even works
 	dh_installdirs usr/lib/ggobi
-	(cd $(debtmp)/usr/share/ggobi 			&& \
-		mv -v plugins ../../lib/ggobi/ 		&& \
-		ln -svf ../../lib/ggobi/plugins .	)	
+# 2024-07-29 no plugins
+#	(cd $(debtmp)/usr/share/ggobi 			&& \
+#		mv -v plugins ../../lib/ggobi/ 		&& \
+#		ln -svf ../../lib/ggobi/plugins .	)
 
         # 15 Dec 2009  remove la files
         # 23 Jan 2010  undo this and keep them
